import request from '@/utils/request'

// 查询cmc仪器记录列表
export function listDeviceLog(query) {
  return request({
    url: '/oa/deviceLog/list',
    method: 'get',
    params: query
  })
}

// 查询cmc仪器记录详细
export function getDeviceLog(logId) {
  return request({
    url: '/oa/deviceLog/' + logId,
    method: 'get'
  })
}

// 新增cmc仪器记录
export function addDeviceLog(data) {
  return request({
    url: '/oa/deviceLog',
    method: 'post',
    data: data
  })
}

// 修改cmc仪器记录
export function updateDeviceLog(data) {
  return request({
    url: '/oa/deviceLog',
    method: 'put',
    data: data
  })
}

// 删除cmc仪器记录
export function delDeviceLog(logId) {
  return request({
    url: '/oa/deviceLog/' + logId,
    method: 'delete'
  })
}
